Index: /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.3/VehicleRoutingProblem.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.3/VehicleRoutingProblem.cs	(revision 6041)
+++ /trunk/sources/HeuristicLab.Problems.VehicleRouting/3.3/VehicleRoutingProblem.cs	(revision 6042)
@@ -607,4 +607,8 @@
         op.VRPToursParameter.ActualName = SolutionCreator.VRPToursParameter.ActualName;
       }
+
+      foreach (var op in Operators.OfType<IVRPMultiNeighborhoodShakingOperator>()) {
+        op.VRPToursParameter.ActualName = SolutionCreator.VRPToursParameter.ActualName;
+      }
     }
     private void ClearDistanceMatrix() {
Index: /trunk/tools/HL3Snippets/HL3.BackwardsCompatibility.snippet
===================================================================
--- /trunk/tools/HL3Snippets/HL3.BackwardsCompatibility.snippet	(revision 6042)
+++ /trunk/tools/HL3Snippets/HL3.BackwardsCompatibility.snippet	(revision 6042)
@@ -0,0 +1,40 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<CodeSnippets xmlns="http://schemas.microsoft.com/VisualStudio/2005/CodeSnippet">
+  <CodeSnippet Format="1.0.0">
+    <Header>
+      <Title>HL3.BackwardsCompatibility</Title>
+      <Author>Andreas Beham</Author>
+      <Description>Adds the backwards compatibility comment and region</Description>
+      <HelpUrl>https://dev.heuristiclab.com/trac/hl/core/wiki/DevelopersCodeSnippets</HelpUrl>
+      <SnippetTypes>
+        <SnippetType>Expansion</SnippetType>
+      </SnippetTypes>
+      <Keywords />
+      <Shortcut>hl3BackwardsCompatibility</Shortcut>
+    </Header>
+    <Snippet>
+      <References />
+      <Imports />
+      <Declarations>
+        <Literal Editable="true">
+          <ID>currentversion</ID>
+          <Type />
+          <ToolTip>Enter the current major.minor version number</ToolTip>
+          <Default>3.3</Default>
+          <Function></Function>
+        </Literal>
+        <Literal Editable="true">
+          <ID>nextversion</ID>
+          <Type />
+          <ToolTip>Enter the next major.minor version number</ToolTip>
+          <Default>3.4</Default>
+          <Function></Function>
+        </Literal>
+      </Declarations>
+      <Code Language="csharp" Kind="" Delimiter="$"><![CDATA[// BackwardsCompatibility$currentversion$
+      #region Backwards compatible code, remove with $nextversion$
+      
+      #endregion]]></Code>
+    </Snippet>
+  </CodeSnippet>
+</CodeSnippets>
